/// A config file of various game boards
class GameBoards {
  /// The initial board pieces for sente.
  static const initialBoardSente = [
    'L-99',
    'N-89',
    'S-79',
    'G-69',
    'K-59',
    'G-49',
    'S-39',
    'N-29',
    'L-19',
    'B-88',
    'R-28',
    'P-97',
    'P-87',
    'P-77',
    'P-67',
    'P-57',
    'P-47',
    'P-37',
    'P-27',
    'P-17',
  ];

  /// Yagura castle (from sente's perspective)
  static const yagura = [
    'L-99',
    'N-89',
    'K-88',
    'G-78',
    'P-97',
    'P-87',
    'S-77',
    'G-67',
    'P-76',
    'P-66',
    'P-56',
  ];

  /// Anaguma castle (from sente's perspective, right hand side)
  static const anaguma = [
    'K-19',
    'N-29',
    'G-39',
    'L-18',
    'S-28',
    'G-38',
    'P-17',
    'P-27',
    'P-37',
    'P-47',
  ];

  /// Mino castle (from sente's perspective)
  static const mino = [
    'L-19',
    'N-29',
    'G-49',
    'K-28',
    'S-38',
    'G-58',
    'P-27',
    'P-37',
    'P-47',
    'P-57',
    'P-16',
  ];

  /// Crab castle (from sente's perspective)
  static const crab = [
    'L-99',
    'N-89',
    'K-69',
    'G-78',
    'S-68',
    'G-58',
    'P-97',
    'P-87',
    'P-67',
    'P-76',
    'P-56',
  ];

  /// Boat castle (from sente's perspective)
  static const boat = [
    'L-99',
    'N-89',
    'S-79',
    'G-69',
    'B-88',
    'K-78',
    'G-58',
    'P-97',
    'P-87',
    'P-67',
    'P-76',
    'P-56',
  ];

  /// Elmo castle (from sente's perspective)
  static const elmo = [
    'L-99',
    'N-89',
    'G-79',
    'B-88',
    'K-78',
    'S-68',
    'P-87',
    'P-67',
    'P-96',
    'P-76',
  ];

  static const tsume1 = [
    'G:K-51',
    'G:S-61',
    'G:S-41',
    'S:+P-53',
    'S:+B-25',
  ];
}
